Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class IndexHelper

    java.lang.Object
      org.apache.cassandra.io.IndexHelper

    public class IndexHelper

extends java.lang.Object

Provides helper to serialize, deserialize and use column indexes.

Nested Class Summary
`static class` | `IndexHelper.IndexInfo`

Constructor Summary
`IndexHelper()`

Method Summary
`static BloomFilter` | `defreezeBloomFilter(FileDataInput file)` Defreeze the bloom filter.
`static java.util.ArrayList<IndexHelper.IndexInfo>` | `deserializeIndex(FileDataInput in)` Deserialize the index into a structure and return it
`static java.util.Comparator<IndexHelper.IndexInfo>` | `getComparator(AbstractType nameComparator)`
`static int` | `indexFor(byte[] name, java.util.List<IndexHelper.IndexInfo> indexList, AbstractType comparator, boolean reversed)` the index of the IndexInfo in which @name will be found.
`static void` | `skipBloomFilter(java.io.DataInput in)` Skip the bloom filter
`static void` | `skipIndex(java.io.DataInput file)` Skip the index

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexHelper

    public IndexHelper()

Method Detail

### skipBloomFilter

    public static void skipBloomFilter(java.io.DataInput in)
                                throws java.io.IOException

  Skip the bloom filter

  Parameters:
    `in` - the data input from which the bloom filter should be skipped
  Throws:
    `java.io.IOException`

### skipIndex

    public static void skipIndex(java.io.DataInput file)
                          throws java.io.IOException

  Skip the index

  Parameters:
    `file` - the data input from which the index should be skipped
  Throws:
    `java.io.IOException`

### deserializeIndex

    public static java.util.ArrayList<IndexHelper.IndexInfo> deserializeIndex(FileDataInput in)
                                                                       throws java.io.IOException

  Deserialize the index into a structure and return it

  Throws:
    `java.io.IOException`

### defreezeBloomFilter

    public static BloomFilter defreezeBloomFilter(FileDataInput file)
                                           throws java.io.IOException

  Defreeze the bloom filter.

  Returns:
    bloom filter summarizing the column information
  Throws:
    `java.io.IOException`

### indexFor

    public static int indexFor(byte[] name,
                               java.util.List<IndexHelper.IndexInfo> indexList,
                               AbstractType comparator,
                               boolean reversed)

  the index of the IndexInfo in which @name will be found. If the index is @indexList.size(), the @name appears nowhere.

### getComparator

    public static java.util.Comparator<IndexHelper.IndexInfo> getComparator(AbstractType nameComparator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation